/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.seatunnel.transform.regular;

import org.apache.seatunnel.api.configuration.Option;
import org.apache.seatunnel.api.configuration.Options;

import java.io.Serializable;
import java.util.List;

public class ReplaceValueTransformConfig implements Serializable {

    public static final Option<List<ReplaceCondition>> KEY_REPLACE_CONDITIONS_LIST =
            Options.key("conditions")
                    .listType(ReplaceCondition.class)
                    .noDefaultValue()
                    .withDescription("The field you want to replace");

    public static final Option<String> KEY_REPLACE_FIELD =
            Options.key("column")
                    .stringType()
                    .noDefaultValue()
                    .withDescription("The colum you want to replace");

    public static final Option<String> KEY_COLUMN_DEFAULT_VALUE =
            Options.key("defaultValue")
                    .stringType()
                    .noDefaultValue()
                    .withDescription("The default value you want to replace");
}
